QwtRichTextEngine(3)

NAME
QwtRichTextEngine -

A text engine for Qt rich texts.

SYNOPSIS

#include <qwt_text_engine.h>

Inherits QwtTextEngine.

  Public Member Functions
virtual void draw (QPainter *painter, const QRect &rect, int flags, const QString &text) const
virtual int heightForWidth (const QFont &font, int flags, const QString &text, int width) const
virtual bool mightRender (const QString &) const
QwtRichTextEngine ()
virtual void textMargins (const QFont &, const QString &, int &left, int &right, int &top, int &bottom) const
virtual QSize textSize (const QFont &font, int flags, const QString &text) const

Detailed Description

A text engine for Qt rich texts. QwtRichTextEngine renders Qt rich texts using the classes of the Scribe framework of Qt.

Constructor & Destructor Documentation

  QwtRichTextEngine::QwtRichTextEngine ()

Constructor.

Member Function Documentation

  void QwtRichTextEngine::draw (QPainter *painter, const QRect &rect, intflags, const QString &text) const [virtual] Draw the text in a clipping rectangle

Parameters:
    painter Painter
    rect Clipping rectangle
    flags Bitwise OR of the flags like in for QPainter::drawText
    text Text to be rendered

Implements QwtTextEngine.

  int QwtRichTextEngine::heightForWidth (const QFont &font, intflags, const QString &text, intwidth) const [virtual] Find the height for a given width

Parameters:
    font Font of the text
    flags Bitwise OR of the flags used like in QPainter::drawText
    text Text to be rendered
    width Width

Returns:
    Calculated height

Implements QwtTextEngine.

  bool QwtRichTextEngine::mightRender (const QString &text) const [virtual] Test if a string can be rendered by this text engine

Parameters:
    text Text to be tested

Returns:
    QStyleSheet::mightBeRichText(text);

Implements QwtTextEngine.

  void QwtRichTextEngine::textMargins (const QFont &, const QString &, int &left, int &right, int &top, int &bottom) const [virtual] Return margins around the texts

Parameters:
    left Return 0
    right Return 0
    top Return 0
    bottom Return 0

Implements QwtTextEngine.

  QSize QwtRichTextEngine::textSize (const QFont &font, intflags, const QString &text) const [virtual] Returns the size, that is needed to render text

Parameters:
    font Font of the text
    flags Bitwise OR of the flags used like in QPainter::drawText
    text Text to be rendered

Returns:
    Caluclated size

Implements QwtTextEngine.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.